Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyContext Class Reference
[Plugins]

This class is used as only parameter when calling Property plug-ins. It contains a Graph on whyich to run the plug-in, a PropertyInterface which will hold the result of the plug-in, and a PluginProgress to give feedback on the plug-in's progress. More...

`#include <PluginContext.h>`

Collaboration diagram for tlp::PropertyContext:
[legend]

List of all members.

## Public Member Functions

- PropertyContext ()
- ~PropertyContext ()

## Public Attributes

- Graph * graph
    The Graph on which the plug-in will run.
- PropertyInterface * propertyProxy
    A property the plug-in can modify freely. No other property should be modified.
- PluginProgress * pluginProgress
    A means to give feedback on the progress of the plug-in.
- DataSet * dataSet
    Additional informations, such as the value of the plug-in's parameters, if any.

## Detailed Description

This class is used as only parameter when calling Property plug-ins. It contains a Graph on whyich to run the plug-in, a PropertyInterface which will hold the result of the plug-in, and a PluginProgress to give feedback on the plug-in's progress.

## Constructor & Destructor Documentation

tlp::PropertyContext::PropertyContext | ( |  | ) | `[inline]`

tlp::PropertyContext::~PropertyContext | ( |  | ) | `[inline]`

## Member Data Documentation

DataSet* tlp::PropertyContext::dataSet

Additional informations, such as the value of the plug-in's parameters, if any.

Graph* tlp::PropertyContext::graph

The Graph on which the plug-in will run.

PluginProgress* tlp::PropertyContext::pluginProgress

A means to give feedback on the progress of the plug-in.

PropertyInterface* tlp::PropertyContext::propertyProxy

A property the plug-in can modify freely. No other property should be modified.

Tulip Software by LaBRI Visualization Team 2001 - 2011